{ jovian, ... }: {
  jovian = {
    hardware.has.amd.gpu = true;
    steamos.useSteamOSConfig = true;
    steamos.enableDefaultCmdlineConfig = false;

    steam = {
      enable = true;
      user = "app";
    };
  };

  users.home.persistApp.directories = [
    ".steam" ".local/share/Steam" ".config/gamescope"
  ];

  imports = [
    jovian.nixosModules.jovian
  ];
} // {
  #users.users.decky.uid = 514;
  #users.groups.decky.gid = 514;
  #jovian.decky-loader = {
  #  enable = true;
  #  stateDir = "/nix/persist/decky";
  #};
}
